Index: src/org/jboss/tools/deltacloud/integration/rse/util/RSEUtils.java
===================================================================
--- src/org/jboss/tools/deltacloud/integration/rse/util/RSEUtils.java	(revision 29180)
+++ src/org/jboss/tools/deltacloud/integration/rse/util/RSEUtils.java	(working copy)
@@ -29,20 +29,25 @@
 import org.eclipse.rse.core.model.ISystemRegistry;
 import org.eclipse.rse.core.model.SystemStartHere;
 import org.eclipse.rse.core.subsystems.IConnectorService;
+import org.eclipse.rse.core.subsystems.ISubSystem;
+import org.eclipse.rse.services.clientserver.messages.SystemOperationFailedException;
 import org.eclipse.rse.subsystems.files.core.subsystems.IRemoteFileSubSystem;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.ui.PartInitException;
 import org.jboss.tools.deltacloud.core.DeltaCloudInstance;
 import org.jboss.tools.deltacloud.integration.DeltaCloudIntegrationPlugin;
 import org.jboss.tools.deltacloud.integration.Messages;
-import org.jboss.tools.deltacloud.integration.wizard.CreateServerFromRSEJob;
-import org.jboss.tools.internal.deltacloud.ui.utils.UIUtils;
+import org.jboss.tools.internal.deltacloud.ui.utils.WorkbenchUtils;
+
+import com.jcraft.jsch.JSchException;
 
 /**
  * @author André Dietisheim
+ * @author Rob Stryker
  */
 public class RSEUtils {
 
+	private static final int RECONNECT_WAIT = 5000;
 	private static final String VIEW_REMOTESYSEXPLORER_ID = "org.eclipse.rse.ui.view.systemView";
 
 	public static IRSESystemType getSSHOnlySystemType() {
@@ -68,26 +73,32 @@
 		return instance.getAlias();
 	}
 
-	public static String createHostName(DeltaCloudInstance instance) {
-		Assert.isLegal(instance != null, "Cannot get hostname: instance is not defined");
-
-		String hostName = instance.getHostName();
-		Assert.isTrue(hostName != null && hostName.length() > 0,
-				MessageFormat.format("Cannot get host name: not defined for instance {0}", instance.getName()));
-		return hostName;
+	/**
+	 * Returns the RSE host name for the given instance. Returns
+	 * <code>null</code> if the instance is <code>null</null>.
+	 * 
+	 * @param instance
+	 *            the instance to use to determine the host name for RSE
+	 * @return the hostname
+	 */
+	public static String createRSEHostName(DeltaCloudInstance instance) {
+		if (instance == null) {
+			return null;
+		}
+		return instance.getHostName();
 	}
 
-	public static IHost createHost(String connectionName, String hostname, IRSESystemType systemType,
+	public static IHost createHost(String username, String connectionName, String hostname, IRSESystemType systemType,
 			ISystemRegistry systemRegistry) throws Exception {
 		// TODO: Internationalize strings
 		Assert.isLegal(connectionName != null && connectionName.length() > 0,
 				"Cannot create Host: connectionName is not defined");
 		Assert.isLegal(hostname != null && hostname.length() > 0, "Cannot create Host: hostname is not defined");
-		Assert.isLegal(systemType != null, "Cannot create Host: system type is not defined");
-		Assert.isLegal(systemRegistry != null, "Cannot create Host: system registry is not defined");
+		Assert.isNotNull(systemType, "Cannot create Host: system type is not defined");
+		Assert.isNotNull(systemRegistry, "Cannot create Host: system registry is not defined");
 
 		IHost host = systemRegistry.createHost(systemType, connectionName, hostname, null);
-		host.setDefaultUserId("jboss"); //$NON-NLS-1$
+		host.setDefaultUserId(username); //$NON-NLS-1$
 		return host;
 	}
 
@@ -99,45 +110,106 @@
 		return services[0];
 	}
 
-	public static void verifySystemConnected(IRemoteFileSubSystem system) {
-		CreateServerFromRSEJob.verifySystemConnected(system);
-	}
-
 	public static IStatus connect(IConnectorService service, IProgressMonitor monitor) throws Exception {
-		monitor.worked(1);
+		monitor.setTaskName(MessageFormat.format("Connecting to {0}...", getHostName(service)));
 		service.connect(monitor);
-		monitor.done();
+		monitor.setTaskName(MessageFormat.format("Connected to {0}.", getHostName(service)));
 		return Status.OK_STATUS;
 	}
-	
-	public static IStatus connect(IConnectorService service, int timeout, IProgressMonitor monitor)  {
-		monitor.beginTask("Connecting to remote server", timeout);
-		monitor.setTaskName("Connecting to remote server");
-		IStatus status = null;
-		int count = 0;
-		while( status == null && count < timeout && !monitor.isCanceled()) {
+
+	public static IStatus connect(IRemoteFileSubSystem service, IProgressMonitor monitor) throws Exception {
+		Assert.isNotNull(service, "No service defined to connect to");
+
+		String hostName = getHostName(service);
+		monitor.setTaskName(MessageFormat.format("Connecting to {0}...", hostName));
+		service.connect(monitor, false);
+		monitor.setTaskName(MessageFormat.format("Connected to server {0}.", hostName));
+		return Status.OK_STATUS;
+	}
+
+	public static String getHostName(IRemoteFileSubSystem service) {
+		String hostName = "";
+		if (service.getHost() != null) {
+			hostName = service.getHost().getName();
+		}
+		return hostName;
+	}
+
+	public static String getHostName(IConnectorService service) {
+		String hostName = "";
+		if (service.getHost() != null) {
+			hostName = service.getHost().getName();
+		}
+		return hostName;
+	}
+
+	/**
+	 * Tries to connects to the given service for the given time. Progress will
+	 * be reported on the given monitor.
+	 * 
+	 * @param service
+	 *            the service to connect to
+	 * @param timeout
+	 *            the timeout to apply
+	 * @param monitor
+	 *            the monitor
+	 * @return the restult of the connection attempt
+	 * @throws Exception
+	 */
+	public static IStatus connect(IConnectorService service, long timeout, IProgressMonitor monitor) throws Exception {
+		long start = System.currentTimeMillis();
+		double scale = (double) 100 / timeout;
+		long current = start;
+		long last = start;
+		monitor.beginTask(MessageFormat.format("Connecting to {0}...", getHostName(service)), 100);
+		while (!monitor.isCanceled()) {
+			current = System.currentTimeMillis();
 			try {
-				status = connect(service, monitor);
-				monitor.done();
-				return status;
-			} catch(OperationCanceledException oce) {
+				return connect(service, monitor);
+			} catch (OperationCanceledException oce) {
 				monitor.done();
 				return Status.CANCEL_STATUS;
-			} catch(Exception e) {
-				count += 1000;
-				monitor.worked(1000);
-				try {
-					Thread.sleep(1000);
-				} catch(InterruptedException ie) {
+			} catch (Exception e) {
+				if (didUserNotAcceptKey(e)) {
+					return Status.CANCEL_STATUS;
 				}
+
+				monitor.setTaskName(
+						MessageFormat.format("Could not connect to {0}. Trying again...", getHostName(service)));
+				monitor.worked(getProgress(current, last, scale));
+				last = current;
+				if (current < start + timeout) {
+					try {
+						Thread.sleep(RECONNECT_WAIT);
+					} catch (InterruptedException ie) {
+						break;
+					}
+				} else {
+					monitor.done();
+					throw e;
+				}
+			}
+		}
+		return Status.CANCEL_STATUS;
+	}
+
+	private static boolean didUserNotAcceptKey(Exception e) {
+		if (e instanceof SystemOperationFailedException) {
+			Throwable t = ((SystemOperationFailedException) e).getRemoteException();
+			if (t instanceof JSchException) {
+				return t.getMessage() != null
+						&& t.getMessage().contains("reject HostKey:");
 			}
 		}
-		monitor.done();
-		return status;
+		return false;
+	}
+
+	private static int getProgress(long current, long last, double scale) {
+		double progress = (current - last) * scale;
+		return (int) Math.ceil(progress);
 	}
-		
-	
-	public static Job connect(String connectionName, final IConnectorService service)
+
+	public static Job connect(final String connectionName, final IConnectorService service)
 			throws Exception {
 		// TODO: internationalize strings
 		Assert.isLegal(connectionName != null,
@@ -148,10 +220,16 @@
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				try {
-					return connect(service, monitor);
-				} catch(Exception e) {
+					monitor.beginTask(NLS.bind(Messages.RSE_CONNECTING_MESSAGE, connectionName),
+							IProgressMonitor.UNKNOWN);
+					IStatus status = connect(service, monitor);
+					monitor.setTaskName(MessageFormat.format("Connected to {0}", getHostName(service)));
+					monitor.done();
+					return status;
+				} catch (Exception e) {
 					e.printStackTrace();
-					// odd behavior: service reports connection failure even if things seem to work (view opens up with connection in it)
+					// odd behavior: service reports connection failure even if
+					// things seem to work (view opens up with connection in it)
 					// ignore errors since things work
 					//
 					// return StatusFactory.getInstance(IStatus.ERROR,
@@ -182,14 +260,15 @@
 			@Override
 			public void run() {
 				try {
-					UIUtils.showView(VIEW_REMOTESYSEXPLORER_ID);
+					WorkbenchUtils.showView(VIEW_REMOTESYSEXPLORER_ID);
 				} catch (PartInitException e) {
 					// I have no idea wtf is wrong here
 					// but my dev environment will not let me use common classes
-//					IStatus status = StatusFactory.getInstance(IStatus.ERROR, 
-//							DeltaCloudIntegrationPlugin.PLUGIN_ID, e.getMessage(), e);
+					// IStatus status = StatusFactory.getInstance(IStatus.ERROR,
+					// DeltaCloudIntegrationPlugin.PLUGIN_ID, e.getMessage(),
+					// e);
 					Status status = new Status(IStatus.ERROR, DeltaCloudIntegrationPlugin.PLUGIN_ID, e.getMessage(), e);
-					ErrorDialog.openError(UIUtils.getActiveShell(),
+					ErrorDialog.openError(WorkbenchUtils.getActiveShell(),
 								Messages.ERROR,
 								Messages.COULD_NOT_LAUNCH_RSE_EXPLORER,
 							status);
@@ -197,9 +276,17 @@
 			}
 		});
 	}
-	
+
 	public static IRemoteFileSubSystem findRemoteFileSubSystem(IHost host) {
-		return CreateServerFromRSEJob.findRemoteFileSubSystem(host);
+		if (host == null) {
+			return null;
+		}
+		ISubSystem[] systems = RSECorePlugin.getTheSystemRegistry().getSubSystems(host);
+		for (int i = 0; i < systems.length; i++) {
+			if (systems[i] instanceof IRemoteFileSubSystem) {
+				return (IRemoteFileSubSystem) systems[i];
+			}
+		}
+		return null;
 	}
-
 }
Index: src/org/jboss/tools/deltacloud/integration/wizard/ConvertRSEToServerWizard.java
===================================================================
--- src/org/jboss/tools/deltacloud/integration/wizard/ConvertRSEToServerWizard.java	(revision 29180)
+++ src/org/jboss/tools/deltacloud/integration/wizard/ConvertRSEToServerWizard.java	(working copy)
@@ -22,7 +22,7 @@
 	
 	@Override
 	public boolean performFinish() {
-		Job j = page1.getPerformFinishJob(instance);
+		Job j = page1.createPerformFinishJob(instance);
 		if( j != null ) {
 			j.schedule();
 		}
Index: src/org/jboss/tools/deltacloud/integration/wizard/CreateServerFromRSEJob.java
===================================================================
--- src/org/jboss/tools/deltacloud/integration/wizard/CreateServerFromRSEJob.java	(revision 29180)
+++ src/org/jboss/tools/deltacloud/integration/wizard/CreateServerFromRSEJob.java	(working copy)
@@ -17,6 +17,7 @@
 import java.io.Reader;
 import java.io.StringWriter;
 import java.io.Writer;
+import java.text.MessageFormat;
 import java.util.Iterator;
 import java.util.Properties;
 
@@ -28,9 +29,7 @@
 import org.eclipse.core.runtime.Path;
 import org.eclipse.core.runtime.Status;
 import org.eclipse.jface.wizard.WizardDialog;
-import org.eclipse.rse.core.RSECorePlugin;
 import org.eclipse.rse.core.model.IHost;
-import org.eclipse.rse.core.subsystems.ISubSystem;
 import org.eclipse.rse.services.clientserver.messages.SystemMessageException;
 import org.eclipse.rse.subsystems.files.core.subsystems.IRemoteFileSubSystem;
 import org.eclipse.swt.SWT;
@@ -53,6 +52,7 @@
 
 /**
  * @author Rob Stryker
+ * @author André Dietisheim
  */
 public class CreateServerFromRSEJob extends ChainedJob {
 	public static final String JBOSS_HOME_KEY = "JBOSS_HOME";
@@ -60,18 +60,18 @@
 	public static final String CREATE_DEPLOY_ONLY_SERVER = "CREATE_DEPLOY_ONLY_SERVER";
 	public static final String CHECK_SERVER_FOR_DETAILS = "CHECK_SERVER_FOR_DETAILS";
 	public static final String SET_DETAILS_NOW = "SET_DETAILS_NOW";
-	
+
 	private String type;
 	private String[] data;
 	private IHost host;
 	private String imageId;
 	private DeltaCloudInstance instance;
-	
+
 	public CreateServerFromRSEJob(String type, String[] data, DeltaCloudInstance instance) {
 		this(type, data, instance.getImageId());
 		this.instance = instance;
 	}
-	
+
 	public CreateServerFromRSEJob(String type, String[] data, String imageId) {
 		super("Create Server From RSE Host");
 		this.data = data;
@@ -82,55 +82,40 @@
 	public void setHost(IHost host) {
 		this.host = host;
 	}
-	
+
 	protected IStatus run(IProgressMonitor monitor) {
 		try {
-			IServer result = null;
-			if( type.equals(CREATE_DEPLOY_ONLY_SERVER) ) {
-				result = createDeployOnlyServer();
-			} else if( type.equals(CHECK_SERVER_FOR_DETAILS )) {
-				result = createServerCheckRemoteDetails();
-			} else if( type.equals(SET_DETAILS_NOW)) {
-				result = createServerSetDetailsNow();
+			monitor.setTaskName(MessageFormat.format("Creating server adapter for {0}...", getHostName()));
+			if (type.equals(CREATE_DEPLOY_ONLY_SERVER)) {
+				createDeployOnlyServer();
+			} else if (type.equals(CHECK_SERVER_FOR_DETAILS)) {
+				createServerCheckRemoteDetails(monitor);
+			} else if (type.equals(SET_DETAILS_NOW)) {
+				createServerSetDetailsNow();
 			}
-		} catch(CoreException ce) {
+		} catch (CoreException ce) {
 			return ce.getStatus();
+		} finally {
+			monitor.done();
 		}
+
 		return Status.OK_STATUS;
 	}
+
+	private Object getHostName() {
+		String hostname = "";
+		if (host != null) {
+			hostname = host.getName();
+		}
+		return hostname;
+	}
+
 	protected IServer createDeployOnlyServer() throws CoreException {
 		IServer server = createDeployOnlyServerWithRuntime(data[0], data[0], imageId);
 		server = RSEUtils.setServerToRSEMode(server, host);
 		return server;
 	}
-	
-	// TODO move to util class
-	public static IRemoteFileSubSystem findRemoteFileSubSystem(IHost host) {
-		if (host == null) {
-			return null;
-		}
-		ISubSystem[] systems = RSECorePlugin.getTheSystemRegistry().getSubSystems(host);
-		for( int i = 0; i < systems.length; i++ ) {
-			if(systems[i] instanceof IRemoteFileSubSystem ) {
-				return (IRemoteFileSubSystem)systems[i];
-			}
-		}
-		return null;
-	}
-	protected IRemoteFileSubSystem findRemoteFileSubSystem() {
-		return findRemoteFileSubSystem(host);
-	}
-	// TODO move to utility class
-	public static void verifySystemConnected(IRemoteFileSubSystem system) {
-		if (!system.isConnected()) {
-		    try {
-		    	system.connect(new NullProgressMonitor(), false);
-		    } catch (Exception e) {
-		    	e.printStackTrace();
-		    }
-		}
-	}
-	
+
 	protected String loadRemoteFileData(String path, IRemoteFileSubSystem system) throws CoreException {
 		Throwable e;
 		IPath p = new Path(path);
@@ -138,15 +123,16 @@
 		String remoteFile = p.lastSegment();
 		try {
 			boolean exists = system.getRemoteFileObject(path, new NullProgressMonitor()).exists();
-			if( !exists ) {
+			if (!exists) {
 				throw new CoreException(new Status(IStatus.ERROR, DeltaCloudIntegrationPlugin.PLUGIN_ID, 
-						"Remote file " + path + " does not exist."));
+						MessageFormat.format("Remote file {0} not found ", path)));
 			}
-			
+
 			Writer writer = new StringWriter();
 			char[] buffer = new char[1024];
-			
-			InputStream is = system.getInputStream(remoteParent.toOSString(), remoteFile, false, new NullProgressMonitor());
+
+			InputStream is = system.getInputStream(remoteParent.toOSString(), remoteFile, false,
+					new NullProgressMonitor());
 			Reader reader = new BufferedReader(new InputStreamReader(is));
 			int n;
 			try {
@@ -157,36 +143,36 @@
 			} finally {
 				is.close();
 			}
-		} catch(SystemMessageException sme) {
+		} catch (SystemMessageException sme) {
 			e = sme;
-		} catch(IOException ioe) {
+		} catch (IOException ioe) {
 			e = ioe;
 		}
-		if( e.getCause() != null )
+		if (e.getCause() != null)
 			e = e.getCause();
-		if( e != null )
-			throw new CoreException(new Status(IStatus.ERROR, DeltaCloudIntegrationPlugin.PLUGIN_ID, 
-					e.getMessage() ));
+		if (e != null)
+			throw new CoreException(new Status(IStatus.ERROR, DeltaCloudIntegrationPlugin.PLUGIN_ID,
+					e.getMessage()));
 		return null;
 	}
-	
+
 	protected Properties turnRemoteFileIntoProperties(String content) {
 		Properties p = new Properties();
-		if( content == null )
+		if (content == null)
 			return p;
 		String[] byLine = content.split("\n");
 		String line, key, val;
 		int eqIn;
-		for( int i = 0; i < byLine.length; i++ ) {
+		for (int i = 0; i < byLine.length; i++) {
 			line = byLine[i].trim();
 			eqIn = line.indexOf("=");
-			if( eqIn != -1 ) {
+			if (eqIn != -1) {
 				key = line.substring(0, eqIn);
-				val = line.substring(eqIn+1);
-				while(val.contains("$")) {
+				val = line.substring(eqIn + 1);
+				while (val.contains("$")) {
 					String tmpKey;
-					Iterator j = p.keySet().iterator();
-					while(j.hasNext()) {
+					Iterator<?> j = p.keySet().iterator();
+					while (j.hasNext()) {
 						tmpKey = j.next().toString();
 						val = val.replace("$" + tmpKey, p.getProperty(tmpKey));
 					}
@@ -196,89 +182,99 @@
 		}
 		return p;
 	}
-	
-	protected IServer createServerCheckRemoteDetails() throws CoreException {
-		IRemoteFileSubSystem system = findRemoteFileSubSystem();
-		if( system != null ) {
-			verifySystemConnected(system);
+
+	protected void createServerCheckRemoteDetails(IProgressMonitor monitor) throws CoreException {
+		IRemoteFileSubSystem system = org.jboss.tools.deltacloud.integration.rse.util.RSEUtils.findRemoteFileSubSystem(host);
+		if (system != null) {
+			ensureIsConnected(system, monitor);
+
 			String contents = null;
 			CoreException ce = null;
 			try {
 				contents = loadRemoteFileData(data[0], system);
-			} catch( CoreException ce2) {
+			} catch (CoreException ce2) {
 				ce = ce2;
 			}
-						
+
 			Properties props = turnRemoteFileIntoProperties(contents);
 			String home = (String) props.get(JBOSS_HOME_KEY);
 			String config = (String) props.get(JBOSS_CONFIG_KEY);
-			
-			
-			if( home != null && config != null ) {
+
+			if (home != null && config != null) {
 				String rtId = data[1];
 				IRuntime runtime = ServerCore.findRuntime(rtId);
 				IServer newServer = null;
 				newServer = ServerCreationUtils.createServer2(instance.getAlias(), runtime);
 				newServer = RSEUtils.setServerToRSEMode(newServer, host, home, config);
-				return newServer;
+				return;
 			}
-			
-			// Handle the case in which the file doesn't exist, or home / config are null
+
+			// Handle the case in which the file doesn't exist, or home /
+			// config
+			// are null
 			final Properties props2 = props;
 			final Exception ce2 = ce;
-			Display.getDefault().asyncExec(new Runnable(){
+			Display.getDefault().asyncExec(new Runnable() {
 				public void run() {
 					handleRemoteFileIncomplete(host, props2, ce2);
 				}
 			});
 		}
-		return null;
+	}
+
+	private void ensureIsConnected(IRemoteFileSubSystem system, IProgressMonitor monitor) throws CoreException {
+		try {
+			org.jboss.tools.deltacloud.integration.rse.util.RSEUtils.connect(system, monitor);
+		} catch (Exception e) {
+			throw new CoreException(
+					new Status(IStatus.ERROR, DeltaCloudIntegrationPlugin.PLUGIN_ID, MessageFormat.format(
+							"Could not connect to host {0}", system.getName()), e));
+		}
 	}
-	
+
 	protected IServer handleRemoteFileIncomplete(IHost host, Properties props, Exception e) {
 		String message = "";
-		if( e != null ) { 
+		if (e != null) {
 			message = "Error reading remote file: " + data[0] + ", " + e.getMessage();
 		} else {
 			String home = (String) props.get(JBOSS_HOME_KEY);
 			String config = (String) props.get(JBOSS_CONFIG_KEY);
-			if( home == null )
+			if (home == null)
 				message += "Remote property file missing JBOSS_HOME property.\n";
-			if( config == null )
+			if (config == null)
 				message += "Remote property file missing JBOSS_CONFIG property.";
 		}
 		message += "\n\nTry again?";
-		
-        MessageBox messageBox = new MessageBox(new Shell(), SWT.ICON_WARNING | SWT.OK | SWT.CANCEL);
-        messageBox.setText("Cannot create Server"); 
-        messageBox.setMessage(message);
-        int buttonID = messageBox.open();
-        switch(buttonID) {
-          case SWT.OK:
-            // saves changes ...
-        	  ConvertRSEToServerWizard w = new ConvertRSEToServerWizard(instance, host);
-        	  new WizardDialog(new Shell(), w).open();
-        	  break;
-          case SWT.CANCEL:
-            break;
-        }
+
+		MessageBox messageBox = new MessageBox(new Shell(), SWT.ICON_WARNING | SWT.OK | SWT.CANCEL);
+		messageBox.setText("Cannot create Server");
+		messageBox.setMessage(message);
+		int buttonID = messageBox.open();
+		switch (buttonID) {
+		case SWT.OK:
+			// saves changes ...
+			ConvertRSEToServerWizard w = new ConvertRSEToServerWizard(instance, host);
+			new WizardDialog(new Shell(), w).open();
+			break;
+		case SWT.CANCEL:
+			break;
+		}
 		return null;
 	}
-	
-	protected IServer createServerSetDetailsNow() throws CoreException {
+
+	protected void createServerSetDetailsNow() throws CoreException {
 		String home = data[0];
 		String config = data[1];
 		String rtId = data[2];
 		IRuntime runtime = ServerCore.findRuntime(rtId);
 		IServer newServer = ServerCreationUtils.createServer2(instance.getAlias(), runtime);
 		newServer = RSEUtils.setServerToRSEMode(newServer, host, home, config);
-		return newServer;
 	}
-	
+
 	private static IRuntime findOrCreateStubDeployOnlyRuntime() throws CoreException {
 		IRuntime[] rts = ServerCore.getRuntimes();
-		for( int i = 0; i < rts.length; i++ ) {
-			if( rts[i].getRuntimeType().getId().equals("org.jboss.ide.eclipse.as.runtime.stripped")) {
+		for (int i = 0; i < rts.length; i++) {
+			if (rts[i].getRuntimeType().getId().equals("org.jboss.ide.eclipse.as.runtime.stripped")) {
 				return rts[i];
 			}
 		}
@@ -287,8 +283,8 @@
 		IRuntime runtime = wc.save(true, null);
 		return runtime;
 	}
-	
-	private static IServer createDeployOnlyServerWithRuntime(String deployLocation, String tempDeployLocation, 
+
+	private static IServer createDeployOnlyServerWithRuntime(String deployLocation, String tempDeployLocation,
 			String serverName) throws CoreException {
 		IRuntime rt = findOrCreateStubDeployOnlyRuntime();
 		IServerType st = ServerCore.findServerType("org.jboss.ide.eclipse.as.systemCopyServer");
Index: src/org/jboss/tools/deltacloud/integration/rse/util/DeltaCloudRSEConstants.java
===================================================================
--- src/org/jboss/tools/deltacloud/integration/rse/util/DeltaCloudRSEConstants.java	(revision 0)
+++ src/org/jboss/tools/deltacloud/integration/rse/util/DeltaCloudRSEConstants.java	(revision 0)
@@ -0,0 +1,18 @@
+/*******************************************************************************
+ * Copyright (c) 2010 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
+package org.jboss.tools.deltacloud.integration.rse.util;
+
+public class DeltaCloudRSEConstants {
+
+	/** the username to use when connecting with RSE */ 
+	public static final String USERNAME = "jboss";
+
+}
Index: ChangeLog
===================================================================
--- ChangeLog	(revision 29180)
+++ ChangeLog	(working copy)
@@ -1,3 +1,33 @@
+2011-02-18  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
+
+	* src/org/jboss/tools/deltacloud/integration/wizard/RSEandASWizardPage.java 
+	(storeSelection): 
+	(verifyPageComplete): 
+	(getSelectionIndex): 
+	(fillRuntimeTypeCombo): 
+	[JBIDE-8333] now persisting last selected realm and profile per cloud.
+	
+2011-02-15  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
+
+	* src/org/jboss/tools/deltacloud/integration/wizard/CreateRSEFromInstanceJob.java (runRSEJob): 
+	* src/org/jboss/tools/deltacloud/integration/rse/util/RSEUtils.java (createRSEHostName): 
+	[JBIDE-8423] not failing with assertion caused exception if no hostname is provided. Just cancelling job then.
+
+2011-02-10  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
+
+	* src/org/jboss/tools/deltacloud/integration/wizard/CreateRSEFromInstanceJob.java 
+	(runRSEJob): 
+	(CONNECT_TIMEOUT): 
+	* src/org/jboss/tools/deltacloud/integration/rse/util/RSEUtils.java 
+	(connect): 	
+	(getProgress): 
+	[JBIDE-8354] removed case where null-status was returned, decreased timeout to 3 minutes, now reporting real lapse of time (was: simple stepwise increase), 
+
+2011-02-07  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
+
+	* src/org/jboss/tools/deltacloud/integration/wizard/RSEandASWizardPage.java (createControl): 
+	[JBIDE-8341] added history proposals to text fields when launching a new instance
+
 2011-02-02  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
 
 	* src/org/jboss/tools/deltacloud/integration/wizard/RSEandASWizardPage.java (createControl): 
@@ -11,8 +41,8 @@
 	(createControl): 
 	[JBIDE-8291] Server adapter is not created by default any more	
 	* src/org/jboss/tools/deltacloud/integration/wizard/CreateServerFromRSEJob.java 
-	(createServerSetDetailsNow): 
 	(createServerCheckRemoteDetails): 
+	(createServerSetDetailsNow): 
 	* src/org/jboss/tools/deltacloud/integration/rse/util/RSEUtils.java (createConnectionName): 
 	[JBIDE-8292] Server Adapter and RSE now use instance alias as name
 
Index: src/org/jboss/tools/deltacloud/integration/rse/util/ShowInRemoteSystemExplorerHandler.java
===================================================================
--- src/org/jboss/tools/deltacloud/integration/rse/util/ShowInRemoteSystemExplorerHandler.java	(revision 29180)
+++ src/org/jboss/tools/deltacloud/integration/rse/util/ShowInRemoteSystemExplorerHandler.java	(working copy)
@@ -24,7 +24,7 @@
 import org.jboss.tools.deltacloud.core.DeltaCloudInstance;
 import org.jboss.tools.deltacloud.integration.DeltaCloudIntegrationPlugin;
 import org.jboss.tools.deltacloud.integration.Messages;
-import org.jboss.tools.internal.deltacloud.ui.utils.UIUtils;
+import org.jboss.tools.internal.deltacloud.ui.utils.WorkbenchUtils;
 
 /**
  * @author Andre Dietisheim
@@ -35,11 +35,13 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		ISelection selection = HandlerUtil.getCurrentSelection(event);
 		if (selection instanceof IStructuredSelection) {
-			DeltaCloudInstance instance = UIUtils.getFirstAdaptedElement(selection, DeltaCloudInstance.class);
+			DeltaCloudInstance instance = WorkbenchUtils.getFirstAdaptedElement(selection, DeltaCloudInstance.class);
 			try {
 				String connectionName = RSEUtils.createConnectionName(instance);
-				IHost host = RSEUtils.createHost(connectionName, 
-						RSEUtils.createHostName(instance),
+				IHost host = RSEUtils.createHost(
+						DeltaCloudRSEConstants.USERNAME,
+						connectionName, 
+						RSEUtils.createRSEHostName(instance),
 						RSEUtils.getSSHOnlySystemType(), 
 						RSEUtils.getSystemRegistry());
 				Job connectJob = RSEUtils.connect(connectionName, RSEUtils.getConnectorService(host));
#P org.jboss.tools.deltacloud.ui
Index: src/org/jboss/tools/deltacloud/ui/commands/CreateInstanceFromSpecificImageHandler.java
===================================================================
--- src/org/jboss/tools/deltacloud/ui/commands/CreateInstanceFromSpecificImageHandler.java	(revision 29180)
+++ src/org/jboss/tools/deltacloud/ui/commands/CreateInstanceFromSpecificImageHandler.java	(working copy)
@@ -23,7 +23,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.jboss.tools.deltacloud.core.DeltaCloud;
 import org.jboss.tools.deltacloud.core.DeltaCloudImage;
-import org.jboss.tools.internal.deltacloud.ui.utils.UIUtils;
+import org.jboss.tools.internal.deltacloud.ui.utils.WorkbenchUtils;
 import org.jboss.tools.internal.deltacloud.ui.wizards.NewInstanceWizard;
 
 /**
@@ -35,7 +35,7 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		ISelection selection = HandlerUtil.getCurrentSelection(event);
 		if (selection instanceof IStructuredSelection) {
-			DeltaCloudImage deltaCloudImage = UIUtils.getFirstAdaptedElement(selection, DeltaCloudImage.class);
+			DeltaCloudImage deltaCloudImage = WorkbenchUtils.getFirstAdaptedElement(selection, DeltaCloudImage.class);
 			createInstance(deltaCloudImage, HandlerUtil.getActiveShell(event));
 		}
 
Index: src/org/jboss/tools/internal/deltacloud/ui/wizards/SshPrivateKeysPreferences.java
===================================================================
--- src/org/jboss/tools/internal/deltacloud/ui/wizards/SshPrivateKeysPreferences.java	(revision 29180)
+++ src/org/jboss/tools/internal/deltacloud/ui/wizards/SshPrivateKeysPreferences.java	(working copy)
@@ -16,8 +16,8 @@
 import org.eclipse.core.runtime.Platform;
 import org.jboss.tools.deltacloud.core.DeltaCloudException;
 import org.jboss.tools.deltacloud.core.client.utils.StringUtils;
-import org.jboss.tools.internal.deltacloud.ui.preferences.StringEntriesPreferenceValue;
-import org.jboss.tools.internal.deltacloud.ui.preferences.StringPreferenceValue;
+import org.jboss.tools.deltacloud.ui.preferences.StringPreferenceValue;
+import org.jboss.tools.deltacloud.ui.preferences.StringsPreferenceValue;
 
 /**
  * @author André Dietisheim
@@ -36,8 +36,8 @@
 	private static final String SSH_USERHOME = ".ssh";
 	private static final String SSH_USERHOME_WIN32 = "ssh";
 
-	private static StringEntriesPreferenceValue sshPrivateKeyPreference =
-			new StringEntriesPreferenceValue(",", PRIVATEKEY, PLUGIN_ID);
+	private static StringsPreferenceValue sshPrivateKeyPreference =
+			new StringsPreferenceValue(',', PRIVATEKEY, PLUGIN_ID);
 	private static StringPreferenceValue sshHome = new StringPreferenceValue(SSH2HOME, PLUGIN_ID);
 
 	/**
